Index: /code/branches/buildsystem2/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ 
 PROJECT(Orxonox C CXX)
 
Index: /code/branches/buildsystem2/bin-config/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/bin-config/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/bin-config/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,29 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Configures the binary output directory with files required for Orxonox
+ #    to run like orxonox.ini or the default keybindings.
+ #    Also creates a run-script in the root directory of the build tree.
+ #
+ 
 SET(READ_ONLY_CONFIG_FILES
   def_keybindings.ini
Index: /code/branches/buildsystem2/cmake/BuildConfig.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2626)
@@ -1,27 +1,26 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Configures the compilers and sets build options.
+ #    This also includes handling the OGRE plugins and the media directory.
  #
 
Index: /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2626)
@@ -1,27 +1,25 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder, Adrian Friedli
+ #  Description:
+ #    Sets the right compiler and linker flags for GCC.
  #
 
Index: /code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake	(revision 2626)
@@ -1,27 +1,25 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Sets the right compiler and linker flags for the Microsoft Compiler.
  #
 
@@ -61,4 +59,5 @@
 SET_COMPILER_FLAGS("-MD  -O1     -DNDEBUG -MP2"      MinSizeRel     CACHE)
 
+
 ##################### Linker Flags ######################
 
Index: /code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake	(revision 2626)
@@ -1,21 +1,35 @@
-#    Author: Reto '1337' Grieder (2008)
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
-
-###################################################
-# Make sure we have the required plugins for OGRE #
-###################################################
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Function that checks each OGRE plugin for existance. Also looks for debug
+ #    versions and sets them accordingly.
+ #    All the plugins specified as function arguments have to be found or the
+ #    script will issue a fatal error. Additionally, all release plugins have
+ #    to be found in the same folder. Analogously for debug plugins.
+ #    Output:
+ #    OGRE_PLUGINS_FOLDER_DEBUG   Folder with the debug plugins
+ #    OGRE_PLUGINS_FOLDER_RELEASE Folder with the release plugins
+ #    OGRE_PLUGINS_DEBUG          Names of the debug plugins without extension
+ #    OGRE_PLUGINS_RELEASE        Names of the release plugins without ext.
+ #
 
 FUNCTION(CHECK_OGRE_PLUGINS)
Index: /code/branches/buildsystem2/cmake/DetermineVersion.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/DetermineVersion.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/DetermineVersion.cmake	(revision 2626)
@@ -1,19 +1,32 @@
-#    DetermineVersion.cmake - CMake Module to get the version of a library from
-#                             a header file.
-#    Author: Reto '1337' Grieder (2009)
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Inspects a given file for the following expressions
+ #    "NAME_MAJOR_VERSION #"
+ #    "NAME_MINOR_VERSION #"
+ #    "NAME_PATCH_VERSION #"
+ #    and sets NAME_VERSION accordingly. NAME_PART_VERSION variables are also
+ #    set. If you wish to look for different parts (e.g. "first" "second", etc.)
+ #    simply deliver them as additional arguments (have to be three though).
+ #
 
 FUNCTION(DETERMINE_VERSION _name _file)
Index: /code/branches/buildsystem2/cmake/FindALUT.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindALUT.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindALUT.cmake	(revision 2626)
@@ -2,5 +2,5 @@
 # This module defines
 #  ALUT_LIBRARY
-#  ALUT_FOUND, if false, do not try to link to Alut
+#  ALUT_FOUND, if false, do not try to link against Alut
 #  ALUT_INCLUDE_DIR, where to find the headers
 #
@@ -18,5 +18,5 @@
 #
 # Several changes and additions by Fabian 'x3n' Landau
-# Some simplifications by Adrian Friedli
+# Some simplifications by Adrian Friedli and Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindCEGUI.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindCEGUI.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindCEGUI.cmake	(revision 2626)
@@ -5,4 +5,13 @@
 #  CEGUI_LIBRARY, the library to link against to use CEGUI.
 #  CEGUI_FOUND, If false, do not try to use CEGUI
+#  CEGUI_VERSION, the version as string "x.y.z"
+#  CEGUILUA_LIBRARY, Script module library
+#  CEGUILUA_USE_INTERNAL_LIBRARY, True if CEGUILUA_LIBRARY was not defined here
+#
+# Input:
+#  ENV{CEGUIDIR}, CEGUI path, optional
+#  FIND CEGUILUA_INTERNAL_SUPPORT, List of all CEGUILua version supported
+#                                  in the source repository
+#  CEGUILUA_USE_EXTERNAL_LIBRARY, Force finding of CEGUILua
 #
 # Created by Matt Williams to find OGRE libraries
@@ -16,5 +25,6 @@
 #
 # Several changes and additions by Fabian 'x3n' Landau
-# Lots of simplifications by Adrian Friedli
+# Lots of simplifications by Adrian Friedli and Reto Grieder
+# Version checking and CEGUILua finding by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindDirectX.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindDirectX.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindDirectX.cmake	(revision 2626)
@@ -1,9 +1,13 @@
 # Find script for DirectX on Windows
+# Specifically designed to find dxguid and dinput8 for OIS
 # Once loaded this will define
-#   DirectX_FOUND        - system has DirectX
-#   DirectX_INCLUDE_DIR  - include directory for DirectX
-#   DirectX_LIBRARY      - library for DirectX
+#   DIRECTX_FOUND        - system has DirectX
+#   DIRECTX_INCLUDE_DIR  - include directory for DirectX
+#   DIRECTX_LIBRARIES    - libraries for DirectX
+#
+# Set ENV{DXSD_DIR} if that has not been done the SDK installation.
 #
 # Several changes and additions by Fabian 'x3n' Landau
+# Simplifications and CMake 2.6.0 bugfix by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindENet.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindENet.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindENet.cmake	(revision 2626)
@@ -4,5 +4,5 @@
 #  ENET_FOUND - system has enet
 #  ENet_INCLUDE_DIR - the enet include directory
-#  ENet_LIBRARIES - the libraries needed to use enet
+#  ENet_LIBRARY - the library needed to link against enet
 #
 # $ENETDIR is an environment variable used for finding enet.
@@ -12,5 +12,6 @@
 #
 # Several changes and additions by Fabian 'x3n' Landau
-# Lots of simplifications by Adrian Friedli
+# Lots of simplifications by Adrian Friedli and Reto Grieder
+# Version checking by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindLua.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindLua.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindLua.cmake	(revision 2626)
@@ -1,2 +1,31 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Finds either Lua 5.0 or Lua 5.1 on the system. The script regards the
+ #    VERSION, EXACT, REQUIRED and QUIET arguments. A note about the EXACT
+ #    argument: EXACT 5 will match all Lua 5 versions.
+ #    When the search was successful, the following variables are set:
+ #    LUA_INCLUDE_DIR, LUA_LIBRARIES, LUA_VERSION, LUA_FOUND
+ #
+
 INCLUDE(CompareVersionStrings)
 INCLUDE(FindPackageHandleAdvancedArgs)
Index: /code/branches/buildsystem2/cmake/FindOGRE.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindOGRE.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindOGRE.cmake	(revision 2626)
@@ -7,5 +7,6 @@
 #
 # Copyright © 2007, Matt Williams
-# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture of the ETH Zurich
+# Modified by Nicolas Schlumberger to make it work on the Tardis-Infrastucture
+# of the ETH Zurich (removed later on)
 #
 # Redistribution and use is allowed according to the terms of the BSD license.
@@ -13,4 +14,5 @@
 # Several changes and additions by Fabian 'x3n' Landau
 # Lots of simplifications by Adrian Friedli
+# Version checking by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindOgg.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindOgg.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindOgg.cmake	(revision 2626)
@@ -1,3 +1,3 @@
-# - Try to find ogg/vorbis
+# - Try to find ogg
 # Once done this will define
 #
@@ -11,4 +11,5 @@
 # Several changes and additions by Fabian 'x3n' Landau
 # Most of all rewritten by Adrian Friedli
+# Debug versions and simplifications by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake	(revision 2626)
@@ -1,2 +1,29 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Extension of the standard module "FindPackageHandleStandardArgs".
+ #    This function also checks the version requirements. Also regards the
+ #    EXACT keyword if specified in FIND_PACKAGE(...).
+ #
+ 
 INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(CompareVersionStrings)
Index: /code/branches/buildsystem2/cmake/FindVorbis.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FindVorbis.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FindVorbis.cmake	(revision 2626)
@@ -4,7 +4,5 @@
 #  VORBIS_FOUND - system has vorbis
 #  VORBIS_INCLUDE_DIR
-#  VORBIS_LIBRARY
-#  VORBISENC_LIBRARY
-#  VORBISFILE_LIBRARY
+#  VORBIS_LIBRARIES - vorbis and vorbisfile libraries
 #
 # $VORBISDIR is an environment variable used
@@ -13,4 +11,5 @@
 # Several changes and additions by Fabian 'x3n' Landau
 # Most of all rewritten by Adrian Friedli
+# Debug versions and simplifications by Reto Grieder
 #                 > www.orxonox.net <
 
Index: /code/branches/buildsystem2/cmake/FlagUtilities.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/FlagUtilities.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/FlagUtilities.cmake	(revision 2626)
@@ -1,19 +1,42 @@
-#    AddSourceFiles.cmake - CMake Module to include source files in subdirectories.
-#    Author: Reto '1337' Grieder (2008)
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
-
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Sets the compiler/linker flags. After the flags you can specify more args:
+ #    Release, Debug, RelWithDebInfo, MinSizeRel: Build configs (inclusive)
+ #    ReleaseAll: Sets the flags of all three release builds
+ #    CACHE: Values are witten with SET_CACHE (see above)
+ #    FORCE: When writing to the cache, the values are set anyway
+ #    Any variable names (like WIN32, MSVC, etc.): Condition (combined with AND)
+ #    You can suffix the condition with a NOT if you wish
+ #  Functions:
+ #    [ADD/SET/REMOVE]_[COMPILER/LINKER]_FLAGS
+ #  Caution: -If you use CACHE after calling the macro without CACHE, the value
+ #            Will not get written unless FORCE is specified.
+ #          - Also be aware to always specify the flags in quotes.
+ #  Example:
+ #    REMOVE_COMPILER_FLAGS("/Gm "asdf" -q"test -foo" CXX ReleaseAll NOT UNIX)
+ #    This will only remove the CXX (C++) flags on a non Unix system for the
+ #    Release, RelWithDebInfo and MinSizeRel configurations. The macros should
+ #    be able to cope with "test -foo" that is like another flag in the string.
+ #
 
 # Write to the cache by force, but only if the user didn't edit the value
@@ -160,16 +183,4 @@
 
 
-# Sets the compiler/linker flags. After the flags you can specify more args:
-# Release, Debug, RelWithDebInfo, MinSizeRel: Build configs (inclusive)
-# ReleaseAll: Sets the flags of all three release builds
-# CACHE: Values are witten with SET_CACHE (see above)
-# FORCE: When writing to the cache, the values are set anyway
-# Any variable names (like WIN32, MSVC, etc.): Condition (combined with AND)
-#   You can suffix the condition with a NOT if you wish
-
-# Caution: -If you use CACHE after calling the macro without CACHE, the value
-#           Will not get written unless FORCE is specified.
-#          - Also be aware to always specify the flags in quotes.
-
 # Compiler flags, additional arguments:
 # C, CXX: Specify a language, default is both
Index: /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake	(revision 2626)
@@ -1,18 +1,35 @@
-#    UseTolua.cmake - CMake Module to generate LUA Bindings with tolua
-#    Copyright (C) 2008  Adrian Friedli
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Adrian Friedli
+ #  Description:
+ #    Sets the CMake options that will generate Tolua++ bindings.
+ #  Parameters:
+ #    _tolua_package - Name of the package, e.g. "Core"
+ #    _target_source_files - Variable name of the target source files, the
+ #                           script will add the generated files to this list.
+ #    ARGN - The header files in the style "INTPUTFILES Foo.h Bar.h"
+ #  Global Variables: (need to be set before)
+ #    TOLUA_PARSER_SOURCE - Lua file with the parser source code
+ #    TOLUA_PARSER_DEPENDENCIES - All the dependent lua files
+ #    ORXONOX_RUNTIME_LIBRARY_DIRECTORY - Working directory
+ #
 
 FUNCTION(GENERATE_TOLUA_BINDINGS _tolua_package _target_source_files)
Index: /code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake	(revision 2626)
@@ -1,27 +1,27 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Checks debug and optimized libaries and sets the variable ${_name}_LIBRARY
+ #    accordingly. If only an optimized library was found, the "optimized"
+ #    keyword is omitted to support the debug version too.
  #
 
Index: /code/branches/buildsystem2/cmake/LibraryConfig.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2626)
@@ -1,2 +1,29 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Configures the external libraries. Whenever possible, the find scripts
+ #    from the CMake module path are used, but that required some adjustments
+ #    for certain libraries (Boost, OpenAL, TCL)
+ #
+ 
 INCLUDE(CompareVersionStrings)
 INCLUDE(FindPackageHandleStandardArgs)
Index: /code/branches/buildsystem2/cmake/LibraryConfigApple.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/LibraryConfigApple.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/LibraryConfigApple.cmake	(revision 2626)
@@ -1,34 +1,27 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Yuning Chai
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Yuning Chai
+ #  Description:
+ #    Sets necessary library options and paths on Mac.
  #
  
-###################### Mac config ########################
-# Set the library directories and special options if
-# your computer is a Mac.
-###########################################################
-
 IF(APPLE)
   MESSAGE(STATUS "Running on Apple. Using customized paths and options.")
Index: /code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2626)
@@ -1,27 +1,26 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Sets the library directories when using precompiled dependency archives
+ #    on Windows with Microsoft Visual Studio.
  #
  
Index: /code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2626)
@@ -1,33 +1,28 @@
  #
- #   ORXONOX - the hottest 3D action shooter ever to exist
- #                    > www.orxonox.net <
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  #
  #
- #   License notice:
- #
- #   This program is free software; you can redistribute it and/or
- #   modify it under the terms of the GNU General Public License
- #   as published by the Free Software Foundation; either version 2
- #   of the License, or (at your option) any later version.
- #
- #   This program is distributed in the hope that it will be useful,
- #   but WITHOUT ANY WARRANTY; without even the implied warranty of
- #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #   GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License
- #   along with this program; if not, write to the Free Software
- #   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #   Author:
- #      Reto Grieder
- #   Co-authors:
- #      ...
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Sets the library directories when using precompiled dependency archives
+ #    on Windows with MinGW.
  #
  
-################# MinGW config ####################
-# Set the library directory when using precompiled
-# tarballs for the dependencies under windows
-###################################################
 
 IF(MINGW AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
Index: /code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake	(revision 2626)
@@ -1,6 +1,27 @@
-################# Tardis config #################
-# This code checks whether the current machine  #
-# is an ETH tardis box.                         #
-#################################################
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Adrian Friedli
+ #  Description:
+ #    Sets the correct find script paths on the ETH Tardis workstations.
+ #    Also sets the TARDIS variable.
+ #
 
 IF(UNIX)
Index: /code/branches/buildsystem2/cmake/SourceFileUtilities.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/SourceFileUtilities.cmake	(revision 2625)
+++ /code/branches/buildsystem2/cmake/SourceFileUtilities.cmake	(revision 2626)
@@ -1,18 +1,30 @@
-#    AddSourceFiles.cmake - CMake Module to include source files in subdirectories.
-#    Author: Reto '1337' Grieder (2008)
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Several functions that help organising the source tree.
+ #    [ADD/SET]_SOURCE_FILES - Writes source files to the cache by force and
+ #                             adds the current directory.
+ #    GET_ALL_HEADER_FILES - Finds all header files recursively.
+ #    GENERATE_SOURCE_GROUPS - Set Visual Studio source groups.
+ #
 
 # Adds source files with the full path to a list
Index: /code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,23 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
+################ Various Options ################
+
 # various macro includes
 INCLUDE(FlagUtilities)
Index: /code/branches/buildsystem2/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(AUDIO_SRC_FILES
   AudioBuffer.cc
Index: /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET(CEGUILUA_DIR ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua-${CEGUI_VERSION}/ceguilua)
 SET(CEGUILUA_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 # Copy all files from the package folder to the binary directory
 
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 # Copy all files from the package folder to the binary directory
 
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 # Copy all files from the package folder to the binary directory
 
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 # Copy all files from the package folder to the binary directory
 
Index: /code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(CORE_SRC_FILES
   Clock.cc
Index: /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET(CPPTCL_FILES
   cpptcl.h
Index: /code/branches/buildsystem2/src/network/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(NETWORK_SRC_FILES
   ChatListener.cc
Index: /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET(OCR_FILES
   OgreCEGUIRenderer.h
Index: /code/branches/buildsystem2/src/ois/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(OIS_FILES
   OIS.h
Index: /code/branches/buildsystem2/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(ORXONOX_SRC_FILES
   CameraManager.cc
Index: /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET(TINYXML++_FILES
   ticpp.h
Index: /code/branches/buildsystem2/src/tolua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 ################### Tolua++ library ###################
 
Index: /code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2625)
+++ /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2626)
@@ -1,2 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
 SET_SOURCE_FILES(UTIL_SRC_FILES
   Clipboard.cc
